//$Id: form-editor.h,v 1.7 2001/05/17 20:50:52 cactus Exp $ -*- c++ -*-

/* Guikachu Copyright (C) 2001 RDI Gerg <cactus@cactus.rulez.org>
 * 
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2
 * as published by the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

#ifndef GUIKACHU_FORM_EDITOR_H
#define GUIKACHU_FORM_EDITOR_H

#define GUIKACHU_BGC "#90B398"
#define GUIKACHU_FGC "black"   
#define GUIKACHU_FGC_DISABLED "#505050"

#define GUIKACHU_SCREEN_WIDTH 160
#define GUIKACHU_SCREEN_HEIGHT 160

#include <gdk/gdktypes.h>
#include <gnome--/canvas.h>
#include <gtk/gtkpacker.h> /* For GtkAnchor */

namespace Guikachu
{
    namespace GUI
    {
	namespace FormEditor
	{
	    GdkFont *get_font (int font_num);
	    GdkFont *get_title_font ();
	    
	    int get_font_height (int font_num);
	    int get_string_width (int font_num, const string& text);
	    
	    Gnome::CanvasItem* draw_text (Gnome::CanvasGroup &group,
					  const string &text, int font_num,
					  int x, int y,
					  bool usable = true,
					  GtkAnchorType anchor = GTK_ANCHOR_NW,
					  int clip_width = 0, int clip_height = 0);
	}
    }
}
    
#endif /* !GUIKACHU_FORM_EDITOR_H */
